ScriptBasedMapping (Hadoop 0.20.2-cdh3u0 API)
Date: 2011-03-25

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.hadoop.net
Class ScriptBasedMapping

    java.lang.Object
      org.apache.hadoop.net.CachedDNSToSwitchMapping
          org.apache.hadoop.net.ScriptBasedMapping

All Implemented Interfaces:
  Configurable, DNSToSwitchMapping

    public final class ScriptBasedMapping

extends CachedDNSToSwitchMapping
implements Configurable

This class implements the `DNSToSwitchMapping` interface using a script configured via topology.script.file.name .

Field Summary

Fields inherited from class org.apache.hadoop.net.CachedDNSToSwitchMapping
`rawMapping`

Constructor Summary
`ScriptBasedMapping()`
`ScriptBasedMapping(Configuration conf)`

Method Summary
`Configuration` | `getConf()` Return the configuration used by this object.
`void` | `setConf(Configuration conf)` Set the configuration to be used by this object.

Methods inherited from class org.apache.hadoop.net.CachedDNSToSwitchMapping
`resolve`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### ScriptBasedMapping

    public ScriptBasedMapping()

### ScriptBasedMapping

    public ScriptBasedMapping(Configuration conf)

Method Detail

### getConf

    public Configuration getConf()

  Description copied from interface: `Configurable`
  Return the configuration used by this object.

  Specified by:
    `getConf` in interface `Configurable`

### setConf

    public void setConf(Configuration conf)

  Description copied from interface: `Configurable`
  Set the configuration to be used by this object.

  Specified by:
    `setConf` in interface `Configurable`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2009 The Apache Software Foundation